## rtai 3.1.0

=== rtai-lab/matlab/devices/Makefile ===
SRC= \
sfun_comedi_data_read.c \
sfun_comedi_data_write.c \
sfun_comedi_dio_read.c \
sfun_comedi_dio_write.c \
sfun_rtai_led.c \
sfun_rtai_log.c \
sfun_rtai_meter.c \
sfun_rtai_scope.c \
sfun_rtai_synchronoscope.c

MEX = /usr/local/matlab6p5/bin/mex
MEX_FLAGS= -v

all: $(SRC:.c=.mexglx)

%.mexglx: %.c
	$(MEX) $(MEX_FLAGS) $<

clean:
	rm -f *.mexglx

install:

%::
	true

=== rtai-lab/scilab/macros/Makefile ===
all: install

SCILAB_DIR = /usr/local/scilab-3.0
MACROS_DIR = $(PWD)

install:
	cp -dpR RTAI    $(SCILAB_DIR)/macros
	(cd $(SCILAB_DIR)/macros/RTAI ; make)

user:
	cat scilab >> ~/.scilab

=== rtai-lab/scilab/macros/RTAI/Makefile ===
SHELL = /bin/sh

SCIDIR=../..

include ../../Makefile.incl

.SUFFIXES: .sci .bin $(SUFFIXES)

NAME = rtailib
NAM = SCI/macros/RTAI

MACROS= rtai_sinus.sci \
	rtai_square.sci \
	rtai_step.sci \
	rtai_scope.sci \
	rtai_led.sci \
	rtai_meter.sci \
	rtai_comedi_datain.sci \
	rtai_comedi_dataout.sci \
	rtai_comedi_dioin.sci \
	rtai_comedi_dioout.sci \
	rtai_pcan_in.sci \
	rtai_pcan_out.sci \
	rtai_cioquad4.sci \
	rtai_mbx_ovrwr_send.sci \
	rtai_mbx_send_if.sci \
	rtai_mbx_rcv_if.sci \
	rtai_mbx_rcv.sci \
	rtai_extdata.sci \
	rtai_fifo.sci \
	RTAICodeGen_.sci

include ../Make.lib

## rtai 3.2

=== rtai-lab/scilab/macros/RTAI/Makefile ===
--- 
+++ 
@@ -19,15 +19,17 @@
 	rtai_comedi_dataout.sci \
 	rtai_comedi_dioin.sci \
 	rtai_comedi_dioout.sci \
-	rtai_pcan_in.sci \
-	rtai_pcan_out.sci \
-	rtai_cioquad4.sci \
 	rtai_mbx_ovrwr_send.sci \
 	rtai_mbx_send_if.sci \
 	rtai_mbx_rcv_if.sci \
 	rtai_mbx_rcv.sci \
 	rtai_extdata.sci \
 	rtai_fifo.sci \
-	RTAICodeGen_.sci
+	rtai_sem_signal.sci \
+	rtai_sem_wait.sci \
+	RTAICodeGen_.sci \
+	C_RTAI_BLK.sci \
+	rtai_generic_inp.sci \
+	rtai_generic_out.sci
 
 include ../Make.lib

## rtai 3.6.1

=== rtai-lab/scilab/devices/Makefile ===
LIB = libsciblk.a
all: $(LIB)

RTAIDIR = $(shell rtai-config --prefix)
COMEDIDIR = $(shell rtai-config --comedi-dir)

SRCALL = $(wildcard *.c)

ifeq ($(strip $(COMEDIDIR)),)
EXCLUDE = exit_on_error.c rtai_comedi_datain.c rtai_comedi_dataout.c rtai_comedi_dioin.c rtai_comedi_dioout.c
else
EXCLUDE = exit_on_error.c
endif

SRC=$(filter-out $(EXCLUDE),$(SRCALL))

OBJ = $(SRC:.c=.o)
DBG = -g

CC_FLAGS = -c $(DBG) -I. -I$(RTAIDIR)/include -O2

%.o: %.c
	cc $(CC_FLAGS) $<

$(LIB): $(OBJ)
	ar -r $(LIB) $(OBJ)

install: $(LIB)
	cp $(LIB) $(RTAIDIR)/lib

clean:
	rm -f $(LIB) $(OBJ)

=== rtai-lab/scilab/macros/Makefile ===
all: install

SCILAB_VERSION = 4.1.2
SCILAB_DIR = /usr/local/scilab-$(SCILAB_VERSION)
RTAIDIR = $(shell rtai-config --prefix)

CONTRIBDIR = $(SCILAB_DIR)/contrib/RTAI
MACRODIR   = $(CONTRIBDIR)/macros
DEVICEDIR  = $(CONTRIBDIR)/routines
TEMPLDIR   = $(CONTRIBDIR)/RT_templates

DEVSRC = *.c *.h *.tmp Makefile
MACROSRC = *.sci *.cosf
TEMPLSRC = rtai.gen rtai.mak standalone.cmd
RTAISRC  = builder.sce loader.sce

MACROS_DIR = $(PWD)

install:
	mkdir -p $(MACRODIR)
	mkdir -p $(DEVICEDIR)
	mkdir -p $(TEMPLDIR)
	cp $(RTAISRC) $(CONTRIBDIR)
	cd RTAI; cp $(MACROSRC) $(MACRODIR)
	cd RTAI/RT_templates; cp $(TEMPLSRC) $(TEMPLDIR)
	cd ../devices; cp $(DEVSRC) $(DEVICEDIR)
	cp ../devices/scicos_block4.h $(SCILAB_DIR)/routines/scicos
	cd $(CONTRIBDIR); scilab -nw -f builder.sce
	cd $(CONTRIBDIR)/routines; make install; rm *.o *.a

user:
	mkdir -p ~/.Scilab/scilab-$(SCILAB_VERSION)
	cat scilab >> ~/.Scilab/scilab-$(SCILAB_VERSION)/.scilab

## rtai 3.7.1

=== rtai-lab/scilab5/Makefile ===
all: 

SCILAB_VERSION = 5.1.1
SCILAB_DIR = /usr/local/scilab-$(SCILAB_VERSION)/share/scilab

RTAIDIR = $(shell rtai-config --prefix)

CONTRIBDIR = $(SCILAB_DIR)/contrib/RTAI
LIBDIR     =  $(SCILAB_DIR)/

RTAISRC  = builder.sce loader.sce
RTAISUBDIR = etc macros RT_templates src

install: install_static

install_static:
	mkdir -p $(CONTRIBDIR)
	cd RTAI; cp $(RTAISRC) $(CONTRIBDIR)
	cd RTAI; cp -dpR $(RTAISUBDIR) $(CONTRIBDIR)
	cd $(CONTRIBDIR)/RT_templates; rm rtai_sh.mak;
	cd $(CONTRIBDIR); scilab -nw -f builder.sce; exit
	cd libs; tar xvfz scicoslibs.tgz;
	mkdir -p $(SCILAB_DIR)/libs; cp -dpR libs/*.a $(SCILAB_DIR)/libs
	cd devices; make; make install

install_shared:
	mkdir -p $(CONTRIBDIR)
	cd RTAI; cp $(RTAISRC) $(CONTRIBDIR)
	cd RTAI; cp -dpR $(RTAISUBDIR) $(CONTRIBDIR)
	cd $(CONTRIBDIR)/RT_templates; rm rtai.mak; mv rtai_sh.mak rtai.mak;
	cd $(CONTRIBDIR); scilab -nw -f builder.sce; exit
	cd devices; make; make install

user:
	mkdir -p ~/.Scilab/scilab-$(SCILAB_VERSION)
	cat scilab >> ~/.Scilab/scilab-$(SCILAB_VERSION)/.scilab

=== rtai-lab/scicoslab/macros/Makefile ===
all: install

SCILAB_VERSION = 4.3
SCILAB_DIR = /usr/lib/scicoslab-gtk-$(SCILAB_VERSION)
RTAIDIR = $(shell rtai-config --prefix)

CONTRIBDIR = $(SCILAB_DIR)/contrib/RTAI
MACRODIR   = $(CONTRIBDIR)/macros
DEVICEDIR  = $(CONTRIBDIR)/routines
TEMPLDIR   = $(CONTRIBDIR)/RT_templates

DEVSRC = *.c *.h *.tmp Makefile
MACROSRC = *.sci *.cosf *.sce
TEMPLSRC = rtai.gen rtai.mak standalone.cmd
RTAISRC  = builder.sce loader.sce

MACROS_DIR = $(PWD)

install:
	mkdir -p $(MACRODIR)
	mkdir -p $(DEVICEDIR)
	mkdir -p $(TEMPLDIR)
	cp $(RTAISRC) $(CONTRIBDIR)
	cd RTAI; cp $(MACROSRC) $(MACRODIR)
	cd RTAI/RT_templates; cp $(TEMPLSRC) $(TEMPLDIR)
	cd RTAI; cp -dpR gif_icons $(MACRODIR)
	cd ../devices; cp $(DEVSRC) $(DEVICEDIR)
	cp ../devices/scicos_block4.h $(SCILAB_DIR)/routines/scicos
	cd $(CONTRIBDIR); scicoslab -nw -f builder.sce
	cd $(CONTRIBDIR)/routines; make install; rm *.o *.a

user:
	mkdir -p ~/.Scilab/$(SCILAB_VERSION)
	cat scilab >> ~/.Scilab/$(SCILAB_VERSION)/.scilab

## rtai 3.8.1

=== rtai-lab/scicoslab/macros/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 all: install
 
-SCILAB_VERSION = 4.3
+SCILAB_VERSION = 4.4b7
 SCILAB_DIR = /usr/lib/scicoslab-gtk-$(SCILAB_VERSION)
 RTAIDIR = $(shell rtai-config --prefix)
 
 CONTRIBDIR = $(SCILAB_DIR)/contrib/RTAI
 MACRODIR   = $(CONTRIBDIR)/macros
 DEVICEDIR  = $(CONTRIBDIR)/routines
-TEMPLDIR   = $(CONTRIBDIR)/RT_templates
+TEMPLDIR   = $(SCILAB_DIR)/contrib/RT_templates
 
 DEVSRC = *.c *.h *.tmp Makefile
 MACROSRC = *.sci *.cosf *.sce
@@ -25,7 +25,6 @@
 	cd RTAI/RT_templates; cp $(TEMPLSRC) $(TEMPLDIR)
 	cd RTAI; cp -dpR gif_icons $(MACRODIR)
 	cd ../devices; cp $(DEVSRC) $(DEVICEDIR)
-	cp ../devices/scicos_block4.h $(SCILAB_DIR)/routines/scicos
 	cd $(CONTRIBDIR); scicoslab -nw -f builder.sce
 	cd $(CONTRIBDIR)/routines; make install; rm *.o *.a

=== rtai-lab/scilab/macros/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 TEMPLDIR   = $(CONTRIBDIR)/RT_templates
 
 DEVSRC = *.c *.h *.tmp Makefile
-MACROSRC = *.sci *.cosf
+MACROSRC = *.sci *.cosf *.sce
 TEMPLSRC = rtai.gen rtai.mak standalone.cmd
 RTAISRC  = builder.sce loader.sce

=== debian/changelog ===
rtai (3.8.1-4) unstable; urgency=low

  * Removed dependency dh-kpatches and make-kpkg patch strategy
    (Closes: #538193)

 -- Roland Stigge <stigge@antcom.de>  Wed, 04 May 2011 11:43:54 +0200

rtai (3.8.1-3) unstable; urgency=low

  * Support platform arm/armel (Closes: #598915)
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Sun, 10 Apr 2011 18:24:42 +0200

rtai (3.8.1-2) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.0
    - Added binary packages' Architecture: armel armeb

 -- Roland Stigge <stigge@antcom.de>  Sat, 03 Jul 2010 16:08:35 +0200

rtai (3.8.1-1) unstable; urgency=low

  * New upstream release
  * Moved to new source format 3.0 (quilt)

 -- Roland Stigge <stigge@antcom.de>  Sat, 26 Jun 2010 14:36:01 +0200

rtai (3.8.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 16 Feb 2010 21:55:09 +0100

rtai (3.8-test1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.4
  * Added binary package python-rtai (Closes: #538337, #538335)
  * Added 2.6.32 kernel patch from upstream repository for Debian squeeze
    (Closes: #513588)
  * ./configure --disable-leds: Broken RTAI subsystem

 -- Roland Stigge <stigge@antcom.de>  Sun, 14 Feb 2010 20:48:39 +0100

rtai (3.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.2

 -- Roland Stigge <stigge@antcom.de>  Sat, 04 Jul 2009 11:47:08 +0200

rtai (3.6.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 30 May 2008 10:26:41 +0200

rtai (3.6-4) unstable; urgency=low

  * base/sched/liblxrt/touchall.c: Replaced PAGE_SIZE with getpagesize()
    (Closes: #479973)

 -- Roland Stigge <stigge@antcom.de>  Fri, 09 May 2008 19:09:06 +0200

rtai (3.6-3) unstable; urgency=low

  * debian/rules: Fixed architecture support for archs != x86
    (Closes: #473742)
  * debian/rtai-doc.doc-base.html: Updated Section to Programming

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Apr 2008 17:10:44 +0200

rtai (3.6-2) unstable; urgency=low

  * debian/control:
    - New binary package separation:
      . rtai: Meta package depending on everything
      . librtai1: Userspace Library
      . librtai-dev: Header files (Closes: #314980)
      . rtai-source: Kernel patch and modules source -> kernel package, module
        package (w/ calibrate and testsuite)
      . rtai-doc: Documentation
    - Removed reference to Xenomai, since Xenomai is a separate project now

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Feb 2008 00:06:09 +0100

rtai (3.6-1) unstable; urgency=low

  [ Roland Stigge ]
  * New upstream release
  * No separate ADEOS package necessary (Closes: #415651)
  * RTAI doesn't support kernels < 2.6.19 (Closes: #379181)
  * debian/watch: New contents thanks to Raphael Geissert (Closes: #459460)
  * debian/control:
    - Homepage: Control field
    - Standards-Version: 3.7.3
    - Removed autotools-dev from Build-Depends line
    - Added Architecture amd64
    - Removed Architecture mips*
  * debian/README.Debian: Adjustments to current practice
  * debian/compat: 6 (Debhelper default compatibility level)
  * debian/copyright:
    - Updated download location (rtai.org)
    - Updated copyright information (complete with year etc.)
    - Updated license information (GPLv2)
  * debian/rules: Major rework

  [ Edelhard Becker ]
  * upload Rolands work, added him to Uploaders: so he doesn't has to wait
     for me on his future improvements. Thanks, Roland.

 -- Edelhard Becker <edelhard@debian.org>  Wed, 13 Feb 2008 22:19:23 +0100

rtai (3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace powerpc by ppc in debian/rules (Closes: #374846).

 -- Christoph Berg <myon@debian.org>  Fri, 15 Sep 2006 20:37:17 +0200

rtai (3.2-1) unstable; urgency=low

  * New upstream release
  * patched debian/rules for the new source directory layout
  * don't build kernel-patch-adeos from rtai sources anymore but create it as
    a seperate package from ADEOS' own repository
  * s/3.0/Magma/ in doc menu
  * add note about the 2.6.11 issue to README.Debian
  * add Conflicts/Replaces to the modules debian/control file
  * cleaned up a couple of lintian warnings for the package generated by
    compiling rtai-source (#! missing in run scripts, liblxrt.la not
    executable, description line, strip binaries, compress changelog,
    add copyright)

 -- Edelhard Becker <edelhard@debian.org>  Fri, 10 Jun 2005 01:02:25 +0200

rtai (3.1.0-4) unstable; urgency=high

  * added fork.o to the export-ojbs line, Closes: #307982: Kernel 2.4.27 does
    not build with Adeos patch (in fact the bug was in the ADEOS patches for
    all 2.4 kernels), thanks Ivan and Malte
  * urgency high due to grave severity of this bug

 -- Edelhard Becker <edelhard@debian.org>  Tue, 10 May 2005 19:08:54 +0200

rtai (3.1.0-3) unstable; urgency=low

  * applied Ivan Raikovs module-argument patch (Closes: #288260)
  * applied Ivan Raikovs module-load-failure patch (Closes: #288264)
  * added a note about creating the /dev/rtfN FIFO devices on first install;
    not done automatically because MAKEDEV doesn't support these entries
    (Closes: #289605), thanks Ivan for these three
  * added ${ROOT_CMD} to debian/rules commands for building modules as needed
    (Closes: #288643), thanks Jan

 -- Edelhard Becker <edelhard@debian.org>  Sun,  6 Mar 2005 14:59:14 +0100

rtai (3.1.0-2) unstable; urgency=low

  * added fork.o to 2.4.2[467] patchfiles also
  * added debhelper to dependencies of rtai-source
  * removed omitted directories rtai-compat and rtai-lab from GNUmakefile.in
    (thanks Wolfgang Koebler)
  * patched correct path into calibration and testsuite "run" scripts
    (thanks Wolfgang Koebler)

 -- Edelhard Becker <edelhard@debian.org>  Sun,  6 Mar 2005 02:33:47 +0100

rtai (3.1.0-1) unstable; urgency=low

  * New upstream release 3.1 final.


=== debian/control ===
Source: rtai
Section: devel
Priority: extra
Maintainer: Edelhard Becker <edelhard@debian.org>
Uploaders: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 7), bzip2, python-support
XS-Python-Version: >= 2.1
Homepage: http://www.rtai.org/
Standards-Version: 3.9.2

Package: rtai
Architecture: i386 amd64 powerpc arm armel armeb
Depends: rtai-doc (>= ${source:Version}), librtai1 (>= ${source:Version}), librtai-dev (>= ${source:Version}), rtai-source (>= ${source:Version}), python-rtai, ${misc:Depends}
Description: Real Time Application Interface
 RTAI is a realtime extension with a broad variety of services which
 make realtime programmers' lifes easier. Some of them are
 .
  choose between FIFO and RR scheduling policies on a per task basis.
  extended POSIX APIs and message queues, in kernel and user space
  semaphores can be typed as: counting, binary and resource
  a mailbox implementation
  LXRT for hard real time in user space
 .
 This is a metapackage that depends on the latest versions of
 the individual RTAI packages.

Package: librtai1
Section: libs
Architecture: i386 amd64 powerpc arm armel armeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Real Time Application Interface (module source)
 RTAI is a realtime extension with a broad variety of services which
 make realtime programmers' lifes easier. Some of them are
 .
  choose between FIFO and RR scheduling policies on a per task basis.
  extended POSIX APIs and message queues, in kernel and user space
  semaphores can be typed as: counting, binary and resource
  a mailbox implementation
  LXRT for hard real time in user space
 .
 This package contains the shared library.

Package: librtai-dev
Section: libdevel
Architecture: i386 amd64 powerpc arm armel armeb
Depends: librtai1 (= ${binary:Version}), ${misc:Depends}
Description: Real Time Application Interface (module source)
 RTAI is a realtime extension with a broad variety of services which
 make realtime programmers' lifes easier. Some of them are
 .
  choose between FIFO and RR scheduling policies on a per task basis.
  extended POSIX APIs and message queues, in kernel and user space
  semaphores can be typed as: counting, binary and resource
  a mailbox implementation
  LXRT for hard real time in user space
 .
 This package contains the development files (header files, rtai-config and
 static library).

Package: rtai-source
Section: devel
Architecture: i386 amd64 powerpc arm armel armeb
Depends: make, debhelper (>= 4.0.0), python-rtai, ${misc:Depends}
Description: Real Time Application Interface (module source)
 RTAI is a realtime extension with a broad variety of services which
 make realtime programmers' lifes easier. Some of them are
 .
  choose between FIFO and RR scheduling policies on a per task basis.
  extended POSIX APIs and message queues, in kernel and user space
  semaphores can be typed as: counting, binary and resource
  a mailbox implementation
  LXRT for hard real time in user space
 .
 This package contains the patches for modifying the kernel, and sources for
 building the kernel modules, module dependent runtime tools and the testsuite.

Package: rtai-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Real Time Application Interface (documentation)
 RTAI is a realtime extension with a broad variety of services which
 make realtime programmers' lifes easier. Some of them are
 .
  choose between FIFO and RR scheduling policies on a per task basis.
  extended POSIX APIs and message queues, in kernel and user space
  semaphores can be typed as: counting, binary and resource
  a mailbox implementation
  LXRT for hard real time in user space
 .
 This package contains the documentation.

Package: python-rtai
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Real Time Application Interface (documentation)
 RTAI is a realtime extension with a broad variety of services which
 make realtime programmers' lifes easier. Some of them are
 .
  choose between FIFO and RR scheduling policies on a per task basis.
  extended POSIX APIs and message queues, in kernel and user space
  semaphores can be typed as: counting, binary and resource
  a mailbox implementation
  LXRT for hard real time in user space
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpc/ppc/)
HOST_CPU            = $(shell dpkg-architecture -qDEB_HOST_ARCH | sed -e s/powerpc/ppc/ -e s/amd64/x86_64/ -e s/armel/arm/)

CFLAGS = -Wall -g
ifeq ($(HOST_CPU),arm)
CFLAGS += -march=armv6
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# RTAIs own prefix handling
RTAI_PREFIX=/usr/lib/realtime

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# Name of package
package		= rtai
# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC		= /usr/src/linux
# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
ifeq ($(strip $(KDREV)),)
KDREV		= "test1.0"
endif

## Now to determine the kernel version, normally supplied by make-kpkg
ifeq ($(strip $(KVERS)),)
# Now we need to get the kernel-version somehow (we are not running
# under make-kpkg?)
ifeq ($(strip $(KSRC)),)
$(error Error. I do not know how to determine the kernel version)
else
kversion :=$(shell egrep '^VERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/[^0-9]*\([0-9]*\)/\1/')
kplevel  :=$(shell egrep '^PATCHLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                    sed -e 's/[^0-9]*\([0-9]*\)/\1/')
ksublevel:=$(shell egrep '^SUBLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
EXTRA_VERSION:=$(shell egrep '^EXTRAVERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/EXTRAVERSION[\t ]*=[\t ]*\(.*\)/\1/')
kextra:=$(strip $(EXTRA_VERSION))
HAVE_NEW_MODLIB:=$(shell egrep '\(INSTALL_MOD_PATH\)' \
                            $(KSRC)/Makefile 2>/dev/null )

# If you want to have more than one kernel configuration per kernel
# version, set FLAVOUR in the top level kernel Makefile *before*
# invoking make-kpkg -- it will be appended to UTS_RELEASE in
# version.h (separated by a hyphen). This affects everything -- the
# names and versions of the image, source, headers, and doc packages,
# and where the modules are searched for in /lib/modules.

ifdef FLAVOUR
# uhm - should check if we really have a Makefile capable of Flavours?
endif

FLAVOUR:=$(shell grep ^FLAVOUR $(KSRC)/Makefile 2>/dev/null | \
                  perl -ple 's/FLAVOUR[\s:=]+//g')

ifneq ($(strip $(FLAVOUR)),)
INT_FLAV := -$(FLAVOUR)
FLAV_ARG := FLAVOUR=$(FLAVOUR)
else
INT_FLAV :=
FLAV_ARG :=
endif

## This is the replacement for FLAVOUR
ifneq ($(strip $(APPEND_TO_VERSION)),)
iatv := $(strip $(APPEND_TO_VERSION))
EXTRAV_ARG := EXTRAVERSION=${EXTRA_VERSION}${iatv}
else
iatv :=
EXTRAV_ARG :=
endif

KVERS = $(kversion).$(kplevel).$(ksublevel)$(kextra)$(iatv)$(INT_FLAV)

endif
endif

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')
epoch=$(shell echo $(KVERS) | perl -ne 'm/^(\d+:)/ && print $$1')

# We also need the package version
pversion	= $(shell sed -ne '1s/.*\((.*)\).*/\1/' debian/changelog)
pversion	= $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# KDIST_DEST_DIR is the place where the final .deb package should be made. This is the
# default value, when make-kpkg is used it will supply to real value
KDIST_DEST_DIR		= ..

pmodules = $(package)-modules-$(non_epoch_version)
psource = $(package)-source

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist: kdist_clean kdist_config kdist_image

# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
kdist_config: kdist_config-stamp
kdist_configure: kdist_config-stamp

# try to support all of RTAIs configuring interfaces
CONFIG_TARGET_IF=cli
ifeq ($(CONFIG_TARGET),menuconfig)
CONFIG_TARGET_IF=gui
endif
ifeq ($(CONFIG_TARGET),gconfig)
CONFIG_TARGET_IF=gui
endif
ifeq ($(CONFIG_TARGET),xconfig)
CONFIG_TARGET_IF=gui
endif

kdist_config-stamp:
	sed 's:/usr/realtime:$(RTAI_PREFIX):' base/arch/$(HOST_CPU)/defconfig.in \
		| sed 's:/usr/src/linux:$(KSRC):' \
		> $(CURDIR)/base/arch/$(HOST_CPU)/defconfig
ifeq ($(CONFIG_TARGET_IF),cli)
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	       --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	       --with-linux-dir=$(KSRC) --includedir=\$${prefix}/include/rtai \
	       --with-module-dir=/lib/modules/$(KVERS)/rtai --disable-rtailab \
	       --disable-leds
endif
ifeq ($(CONFIG_TARGET_IF),gui)
	$(MAKE) -f makefile $(CONFIG_TARGET)
endif
	touch kdist_config-stamp

# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# separate binary-modules target to make testing the package building
# easier
kdist_image:
	$(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules clean

# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
kdist_clean:
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

ifeq ($(shell echo $(DEB_HOST_GNU_TYPE) | cut -d- -f1),powerpc)
CONFIG_OPTION=CONFIG_PPC
else ifeq ($(shell echo $(DEB_HOST_GNU_TYPE) | cut -d- -f1),arm)
CONFIG_OPTION=CONFIG_ARM
else ifeq ($(shell echo $(DEB_HOST_GNU_TYPE) | cut -d- -f1),x86_64)
CONFIG_OPTION=CONFIG_X86_64
else
CONFIG_OPTION=CONFIG_X86
endif

config.status: configure-stamp
configure-stamp:
	dh_testdir
	sed -e "s,^CONFIG_X86=,$(CONFIG_OPTION)=," debian/linux/.config.x86 > debian/linux/.config
ifeq ($(CONFIG_OPTION),CONFIG_ARM)
	echo "CONFIG_ARCH_PXA=y" >> debian/linux/.config
endif
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	       --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	       --with-linux-dir=$(CURDIR)/debian/linux --disable-leds \
	       --includedir=\$${prefix}/include/rtai --disable-rtailab
	touch configure-stamp

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir
	cd base/sched/liblxrt && $(MAKE) CFLAGS="$(CFLAGS)"
	cd base/scripts && $(MAKE)
	touch build-arch-stamp

# the binary-modules target prepares the $(pmodules) package.
# It is called by make-kpkg and *not* during a normal build
binary-modules: kdist_config-stamp
	export DH_OPTIONS='-p$(pmodules)'

	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	#	 >> debian/$(package).substvars
	echo "kpkg:Kernel-Version=$(non_epoch_version)" > \
		debian/$(pmodules).substvars

	# The substvars mechanism seems slightly broken, hack to get around it
	# stolen from the qce-ga package. Yaaaa!

## rtai 3.9.1

=== rtai-lab/matrixx/Makefile ===
# Copyright 2006 Pierangelo Masarati
# All rights reserved.
#
# Use this software as you like, according to GNU's GPL,
# provided you do not alter this Copyright statement.
# This software is provided AS IS, without any warranty.

prefix := $(shell rtai-config --prefix)

ifeq ($(prefix),)
$(error Please add <rtai-install>/bin to your PATH variable)
endif

CC = $(shell rtai-config --cc)
LXRT_CFLAGS = $(shell rtai-config --lxrt-cflags)
LXRT_LDFLAGS = $(shell rtai-config --lxrt-ldflags)

PREFIX      = $(prefix)/share/rtai/matrixx
MATRIXX_SRC = $(PREFIX)/matrixx-files
MATRIXX_DEV = $(PREFIX)/devices

DOUBLE_FLAG = -DAC100DOUBLE
FILEIO_FLAG = -DFILE_IO

CPPFLAGS =  $(LXRT_CFLAGS) -I/usr/include \
	-I$(MATRIXX_SRC)  \
	-I$(MATRIXX_DEV)  \
	-I$(PREFIX)  \
	-I$(PREFIX)/vxworks-wrappers/ -I./ \
        -DMSG_Q_PRIORITY -DRS_VXWORKS $(DOUBLE_FLAG) $(FILEIO_FLAG)
CFLAGS = -O2 -g -Wall 
LIBS = $(LXRT_LDFLAGS) -lm -llxrt -L$(PREFIX)/lib/

SRC =   rtmain.c   \
	$(MATRIXX_SRC)/sa_fuzzy.c \
	$(MATRIXX_SRC)/sa_math.c \
	$(PREFIX)/sa_utils.c \
	$(MATRIXX_DEV)/rtai_scope.c \
	$(MATRIXX_DEV)/rtai_log.c \
	$(MATRIXX_DEV)/rtai_meter.c \
	$(MATRIXX_DEV)/rtai_led.c \
	$(MATRIXX_DEV)/rtai_comedi_datain.c \
	$(MATRIXX_DEV)/rtai_comedi_dataout.c \
	$(MATRIXX_DEV)/rtai_comedi_dioin.c \
	$(MATRIXX_DEV)/rtai_comedi_dioout.c


%: %.c mxp mxp.c mxp.h $(SRC) rtmain.h
	./mxp < $@.c
	$(CC) $(CFLAGS) $(DOUBLE_FLAG) -I$(MATRIXX_SRC)  -DMXP_LIB=1 -o mxp.o -c mxp.c
	$(CC) $(CPPFLAGS)  -o $@ $@.c $(SRC) mxp.o $(LIBS)

mxp: mxp.c mxp.h
	$(CC) $(CFLAGS) $(DOUBLE_FLAG) -I$(MATRIXX_SRC) -o mxp mxp.c

mxp.c:
	cp $(PREFIX)/mxp.c .

mxp.h:
	cp $(PREFIX)/mxp.h .

rtmain.c:
	cp $(PREFIX)/rtmain.c .

rtmain.h:
	cp $(PREFIX)/rtmain.h .

clean:
	rm -f *.o mxp mxp_data.h mxp_data.hc mxp.c mxp.h rtmain.c rtmain.h

.PHONY: clean

=== rtai-lab/scilab5/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: 
 
-SCILAB_VERSION = 5.1.1
-SCILAB_DIR = /usr/local/scilab-$(SCILAB_VERSION)/share/scilab
+SCILAB_VERSION = 5.2.1
+SCILAB_DIR = /usr/share/scilab
 
 RTAIDIR = $(shell rtai-config --prefix)

=== base/config/modules/Makefile ===
all:
	$(MAKE) -s -C $(RTAI_LINUX_DIR) CC=$(CC) $(RTAI_LINUX_DIR)/include/linux/modversions.h
	$(MAKE) -s -C $(RTAI_LINUX_DIR) CC=$(CC) ARCH=$(ARCH) SUBDIRS=$(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi) modules

modules:
	@echo RTAI_KMOD_CFLAGS="\"$(CFLAGS) -DEXPORT_SYMTAB -Wall\""

=== rtai-lab/matlab/devices/Makefile ===
SRC := $(wildcard *.c)

MEX = /usr/local/matlab7/bin/mex
MEX_FLAGS= -v

all: $(SRC:.c=.mexglx)

%.mexglx: %.c
	$(MEX) $(MEX_FLAGS) $<

clean:
	rm -f *.mexglx

install:

%::
	true

=== rtai-lab/scicoslab/macros/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all: install
 
-SCILAB_VERSION = 4.4b7
+SCILAB_VERSION = 4.4.1
 SCILAB_DIR = /usr/lib/scicoslab-gtk-$(SCILAB_VERSION)
 RTAIDIR = $(shell rtai-config --prefix)
 
@@ -29,5 +29,5 @@
 	cd $(CONTRIBDIR)/routines; make install; rm *.o *.a
 
 user:
-	mkdir -p ~/.Scilab/$(SCILAB_VERSION)
-	cat scilab >> ~/.Scilab/$(SCILAB_VERSION)/.scilab
+	mkdir -p ~/.ScicosLab/$(SCILAB_VERSION)
+	cat scilab >> ~/.ScicosLab/$(SCILAB_VERSION)/.scilab

=== rtai-lab/scilab/devices/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SRCALL = $(wildcard *.c)
 
 ifeq ($(strip $(COMEDIDIR)),)
-EXCLUDE = exit_on_error.c rtai_comedi_datain.c rtai_comedi_dataout.c rtai_comedi_dioin.c rtai_comedi_dioout.c
+EXCLUDE = exit_on_error.c rtai_comedi_datain.c rtai_comedi_dataout.c rtai_comedi_dioin.c rtai_comedi_dioout.c rtai_comedi_encoder.c get_softcalib.c
 else
 EXCLUDE = exit_on_error.c
 endif
@@ -17,7 +17,7 @@
 OBJ = $(SRC:.c=.o)
 DBG = -g
 
-CC_FLAGS = -c $(DBG) -I. -I$(RTAIDIR)/include -O2
+CC_FLAGS = -c $(DBG) -I. -I$(RTAIDIR)/include -O2 -Wall -std=gnu99 -DSOFTCALIB
 
 %.o: %.c
 	cc $(CC_FLAGS) $<

=== rtai-lab/scilab/macros/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 TEMPLDIR   = $(CONTRIBDIR)/RT_templates
 
 DEVSRC = *.c *.h *.tmp Makefile
-MACROSRC = *.sci *.cosf *.sce
+MACROSRC = *.sci *.cosf 
 TEMPLSRC = rtai.gen rtai.mak standalone.cmd
 RTAISRC  = builder.sce loader.sce

=== debian/changelog ===
rtai (3.9.1-4) unstable; urgency=low

  * Removal of link /usr/include/asm works only on some archs, FTBFS otherwise

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 May 2013 22:23:13 +0200

rtai (3.9.1-3) unstable; urgency=low

  * Remove link /usr/include/asm which is already included in gcc-multilib
    (Closes: #707671)

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 May 2013 21:23:41 +0200

rtai (3.9.1-2) unstable; urgency=low

  * Enable build on powerpcspe (debian/control, debian/rules)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 18:34:32 +0200

rtai (3.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Build-Depends: debhelper (>= 9)
    - Standards-Version: 3.9.4
    - Fixed descriptions, thanks to Justin B Rye and Martin Eberhard Schauer
      (Closes: #697909)
  * debian/compat: 9
  * debian/rules:
    - Use buildflags.mk to automatically support hardening
    - Add "--enable-comedi-lxrt --enable-comedi-lock" (Closes: #606122)
      thanks to Yaroslav Halchenko

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 16:48:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Edelhard Becker <edelhard@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7), bzip2, python-support
+Build-Depends: debhelper (>= 9), bzip2, python-support, autotools-dev, dpkg-dev (>= 1.16.1~), libcomedi-dev, autoconf
 XS-Python-Version: >= 2.1
 Homepage: http://www.rtai.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: rtai
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: rtai-doc (>= ${source:Version}), librtai1 (>= ${source:Version}), librtai-dev (>= ${source:Version}), rtai-source (>= ${source:Version}), python-rtai, ${misc:Depends}
 Description: Real Time Application Interface
  RTAI is a realtime extension with a broad variety of services which
@@ -26,7 +26,7 @@
 
 Package: librtai1
 Section: libs
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Real Time Application Interface (module source)
  RTAI is a realtime extension with a broad variety of services which
@@ -42,7 +42,7 @@
 
 Package: librtai-dev
 Section: libdevel
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: librtai1 (= ${binary:Version}), ${misc:Depends}
 Description: Real Time Application Interface (module source)
  RTAI is a realtime extension with a broad variety of services which
@@ -59,7 +59,7 @@
 
 Package: rtai-source
 Section: devel
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: make, debhelper (>= 4.0.0), python-rtai, ${misc:Depends}
 Description: Real Time Application Interface (module source)
  RTAI is a realtime extension with a broad variety of services which

=== debian/rules ===
--- 
+++ 
@@ -12,25 +12,18 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpc/ppc/)
-HOST_CPU            = $(shell dpkg-architecture -qDEB_HOST_ARCH | sed -e s/powerpc/ppc/ -e s/amd64/x86_64/ -e s/armel/arm/)
-
-CFLAGS = -Wall -g
+DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpcspe/ppc/ -e s/powerpc/ppc/)
+HOST_CPU            = $(shell dpkg-architecture -qDEB_HOST_ARCH | sed -e s/powerpcspe/ppc/ -e s/powerpc/ppc/ -e s/amd64/x86_64/ -e s/armel/arm/)
+
 ifeq ($(HOST_CPU),arm)
 CFLAGS += -march=armv6
-endif
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
 endif
 
 # RTAIs own prefix handling
@@ -190,6 +183,15 @@
 config.status: configure-stamp
 configure-stamp:
 	dh_testdir
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+	cp -f /usr/share/misc/config.sub base/config/autoconf/config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+	cp -f /usr/share/misc/config.guess base/config/autoconf/config.guess
+endif
+	autoconf -f
 	sed -e "s,^CONFIG_X86=,$(CONFIG_OPTION)=," debian/linux/.config.x86 > debian/linux/.config
 ifeq ($(CONFIG_OPTION),CONFIG_ARM)
 	echo "CONFIG_ARCH_PXA=y" >> debian/linux/.config
@@ -198,7 +200,8 @@
 	       --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	       --with-linux-dir=$(CURDIR)/debian/linux --disable-leds \
-	       --includedir=\$${prefix}/include/rtai --disable-rtailab
+	       --includedir=\$${prefix}/include/rtai --disable-rtailab \
+	       --enable-comedi-lxrt --enable--comedi-lock
 	touch configure-stamp
 
 build-arch:  config.status build-arch-stamp
@@ -214,10 +217,3 @@
 	export DH_OPTIONS='-p$(pmodules)'
 
 	# Is this needed for setting up a Depends?
-	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
-	#	 >> debian/$(package).substvars
-	echo "kpkg:Kernel-Version=$(non_epoch_version)" > \
-		debian/$(pmodules).substvars
-
-	# The substvars mechanism seems slightly broken, hack to get around it
-	# stolen from the qce-ga package. Yaaaa!

=== debian/watch ===
version=3

https://www.rtai.org/RTAI/rtai-(.\..*)\.tar\.bz2 debian uupdate
